MPDBOOT:(1)

NAME
mpdboot: - manual page for mpdboot command

DESCRIPTION
usage: mpdboot --totalnum=<n_to_start> [--file=<hostsfile>] [--help] \

[--rsh=<rshcmd>] [--user=<user>] [--mpd=<mpdcmd>]
    \

[--loccons] [--remcons] [--shell] [--verbose] [-1]
    [--ncpus=<ncpus>] [--ifhn=<ifhn>] [--chkup] [--chkuponly] [--maxbranch=<maxbranch>]

    or, in short form,

    mpdboot -n n_to_start [-f <hostsfile>] [-h] [-r <rshcmd>] [-u <user>] \

[-m <mpdcmd>]
    -s -v [-1] [-c]

--totalnum specifies the total number of mpds to start; at least

    one mpd will be started locally, and others on the machines specified by the file argument; by default, only one mpd per host will be started even if the hostname occurs multiple times in the hosts file

-1 means remove the restriction of starting only one mpd per machine;

    in this case, at most the first mpd on a host will have a console

--file specifies the file of machines to start the rest of the mpds on;

    it defaults to mpd.hosts

--mpd specifies the full path name of mpd on the remote hosts if it is

    not in your path

--rsh specifies the name of the command used to start remote mpds; it

    defaults to ssh; an alternative is rsh

--shell says that the Bourne shell is your default for rsh' --verbose shows the ssh attempts as they occur; it does not provide

    confirmation that the sshs were successful

--loccons says you do not want a console available on local mpd(s) --remcons says you do not want consoles available on remote mpd(s) --ncpus indicates how many cpus you want to show for the local machine;

    others are listed in the hosts file

--ifhn indicates the interface hostname to use for the local mpd; others

    may be specified in the hostsfile

--chkup requests that mpdboot try to verify that the hosts in the host file

    are up before attempting start mpds on any of them; it just checks the number of hosts specified by -n

--chkuponly requests that mpdboot try to verify that the hosts in the host file

    are up; it then terminates; it just checks the number of hosts specified by -n

--maxbranch indicates the maximum number of mpds to enter the ring under another;

    the default is 4

usage: mpdboot --totalnum=<n_to_start> [--file=<hostsfile>] [--help] \

[--rsh=<rshcmd>] [--user=<user>] [--mpd=<mpdcmd>]
    \

[--loccons] [--remcons] [--shell] [--verbose] [-1]
    [--ncpus=<ncpus>] [--ifhn=<ifhn>] [--chkup] [--chkuponly] [--maxbranch=<maxbranch>]

    or, in short form,

    mpdboot -n n_to_start [-f <hostsfile>] [-h] [-r <rshcmd>] [-u <user>] \

[-m <mpdcmd>]
    -s -v [-1] [-c]

--totalnum specifies the total number of mpds to start; at least

    one mpd will be started locally, and others on the machines specified by the file argument; by default, only one mpd per host will be started even if the hostname occurs multiple times in the hosts file

-1 means remove the restriction of starting only one mpd per machine;

    in this case, at most the first mpd on a host will have a console

--file specifies the file of machines to start the rest of the mpds on;

    it defaults to mpd.hosts

--mpd specifies the full path name of mpd on the remote hosts if it is

    not in your path

--rsh specifies the name of the command used to start remote mpds; it

    defaults to ssh; an alternative is rsh

--shell says that the Bourne shell is your default for rsh' --verbose shows the ssh attempts as they occur; it does not provide

    confirmation that the sshs were successful

--loccons says you do not want a console available on local mpd(s) --remcons says you do not want consoles available on remote mpd(s) --ncpus indicates how many cpus you want to show for the local machine;

    others are listed in the hosts file

--ifhn indicates the interface hostname to use for the local mpd; others

    may be specified in the hostsfile

--chkup requests that mpdboot try to verify that the hosts in the host file

    are up before attempting start mpds on any of them; it just checks the number of hosts specified by -n

--chkuponly requests that mpdboot try to verify that the hosts in the host file

    are up; it then terminates; it just checks the number of hosts specified by -n

--maxbranch indicates the maximum number of mpds to enter the ring under another;

    the default is 4

AUTHOR
mpdboot was written by The MPICH2 Team.

This manual page was written by Muammar El Khatib <muammarelkhatib@gmail.com>, for the Debian project (but may be used by others).